{
   "agent": "Hornbeam",
   "behavior": "UNIMPLEMENTED",
   "behaviorClose": "OK",
   "case": 394,
   "closedByMe": true,
   "createStats": true,
   "createWirelog": false,
   "description": "Send 1000 compressed messages each of payload size 131072, auto-fragment to 256 octets. Use permessage-deflate client offers (requestNoContextTakeover, requestMaxWindowBits): [(False, 0)]",
   "droppedByMe": true,
   "duration": 1,
   "expectation": "Receive echo'ed messages (with payload as sent). Timeout case after 480 secs.",
   "expected": {},
   "expectedClose": {
      "closeCode": [
         1000
      ],
      "closedByMe": true,
      "requireClean": true
   },
   "failedByMe": false,
   "httpRequest": "GET /runCase?case=394&agent=Hornbeam HTTP/1.1\r\nHost: localhost:9001\r\nUpgrade: websocket\r\nConnection: upgrade\r\nSec-WebSocket-Key: u4UKlupnCwADCQEIUrKC+w==\r\nSec-WebSocket-Version: 13\r\n\r\n",
   "httpResponse": "HTTP/1.1 101 Switching Protocols\r\nServer: AutobahnTestSuite/0.8.2-0.10.9\r\nX-Powered-By: AutobahnPython/0.10.9\r\nUpgrade: WebSocket\r\nConnection: Upgrade\r\nSec-WebSocket-Accept: RsU2oWHnQhg7AciDI9bpSaomNs8=\r\n\r\n",
   "id": "13.1.15",
   "isServer": true,
   "localCloseCode": 1000,
   "localCloseReason": null,
   "received": [],
   "remoteCloseCode": 1000,
   "remoteCloseReason": null,
   "reportCompressionRatio": true,
   "reportTime": true,
   "result": "Actual events differ from any expected.",
   "resultClose": "Connection was properly closed",
   "rxFrameStats": {
      "8": 1
   },
   "rxOctetStats": {
      "8": 1,
      "184": 1
   },
   "started": "2023-08-11T05:15:26.477Z",
   "trafficStats": null,
   "txFrameStats": {
      "8": 1
   },
   "txOctetStats": {
      "4": 1,
      "206": 1
   },
   "wasClean": true,
   "wasCloseHandshakeTimeout": false,
   "wasNotCleanReason": null,
   "wasOpenHandshakeTimeout": false,
   "wasServerConnectionDropTimeout": false,
   "wirelog": [
      [
         "RO",
         [
            184,
            "474554202f72756e436173653f636173653d333934266167656e743d486f726e6265616d20485454502f312e310d0a486f73743a206c6f63616c686f73743a39 ..."
         ]
      ],
      [
         "TO",
         [
            206,
            "485454502f312e312031303120537769746368696e672050726f746f636f6c730d0a5365727665723a204175746f6261686e5465737453756974652f302e382e ..."
         ],
         false
      ],
      [
         "WLM",
         false
      ]
   ]
}